Roles and permissions are now available. Give team members granular permissions. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/applications/{application}/environments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"slug": "<string>",
"created_from_automation": true,
"vanity_domain": "<string>",
"build_command": "<string>",
"deploy_command": "<string>",
"uses_octane": true,
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"environment_variables": [
{
"key": "<string>",
"value": "<string>"
}
],
"network_settings": {
"cache": {
"strategy": "<string>"
},
"response_headers": {
"frame": "<string>",
"content_type": "<string>",
"hsts": {
"max_age": 123,
"include_subdomains": true,
"preload": true
}
},
"firewall": {
"bot_categories": [],
"rate_limit": {
"429": true,
"4xx": true
},
"under_attack_mode_started_at": "<string>",
"block_path": true
},
"content_converter": true
},
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"application": {
"data": {
"id": "<string>"
}
},
"branch": {
"data": {
"id": "<string>"
}
},
"deployments": {
"data": [
{
"id": "<string>"
}
]
},
"currentDeployment": {
"data": {
"id": "<string>"
}
},
"domains": {
"data": [
{
"id": "<string>"
}
]
},
"primaryDomain": {
"data": {
"id": "<string>"
}
},
"instances": {
"data": [
{
"id": "<string>"
}
]
},
"database": {
"data": {
"id": "<string>"
}
},
"cache": {
"data": {
"id": "<string>"
}
},
"buckets": {
"data": [
{
"id": "<string>"
}
]
},
"websocketApplication": {
"data": {
"id": "<string>"
}
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"slug": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"id": "<string>"
}
},
"organization": {
"data": {
"id": "<string>"
}
},
"environments": {
"data": [
{
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"id": "<string>"
}
}
}
}
]
}Get a list of all environments for the given application.
curl --request GET \
--url https://cloud.laravel.com/api/applications/{application}/environments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"slug": "<string>",
"created_from_automation": true,
"vanity_domain": "<string>",
"build_command": "<string>",
"deploy_command": "<string>",
"uses_octane": true,
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"environment_variables": [
{
"key": "<string>",
"value": "<string>"
}
],
"network_settings": {
"cache": {
"strategy": "<string>"
},
"response_headers": {
"frame": "<string>",
"content_type": "<string>",
"hsts": {
"max_age": 123,
"include_subdomains": true,
"preload": true
}
},
"firewall": {
"bot_categories": [],
"rate_limit": {
"429": true,
"4xx": true
},
"under_attack_mode_started_at": "<string>",
"block_path": true
},
"content_converter": true
},
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"application": {
"data": {
"id": "<string>"
}
},
"branch": {
"data": {
"id": "<string>"
}
},
"deployments": {
"data": [
{
"id": "<string>"
}
]
},
"currentDeployment": {
"data": {
"id": "<string>"
}
},
"domains": {
"data": [
{
"id": "<string>"
}
]
},
"primaryDomain": {
"data": {
"id": "<string>"
}
},
"instances": {
"data": [
{
"id": "<string>"
}
]
},
"database": {
"data": {
"id": "<string>"
}
},
"cache": {
"data": {
"id": "<string>"
}
},
"buckets": {
"data": [
{
"id": "<string>"
}
]
},
"websocketApplication": {
"data": {
"id": "<string>"
}
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"slug": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"id": "<string>"
}
},
"organization": {
"data": {
"id": "<string>"
}
},
"environments": {
"data": [
{
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"id": "<string>"
}
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The application identifier
application, branch, deployments, currentDeployment, primaryDomain, instances, database, cache, buckets, websocketApplication Paginated set of EnvironmentResource
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?